SimpleInstanceManager (Apache Tomcat 9.0.83 API Documentation)
Description: declaration: package: org.apache.tomcat, class: SimpleInstanceManager

Package org.apache.tomcat

# Class SimpleInstanceManager

java.lang.Object
org.apache.tomcat.SimpleInstanceManager

All Implemented Interfaces:
  `InstanceManager`

public class SimpleInstanceManager extends Object implements InstanceManager
SimpleInstanceManager Implement the org.apache.tomcat.InstanceManager interface.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleInstanceManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroyInstance(Object o)`
  `Object`
  `newInstance(Class<?> clazz)`
  `void`
  `newInstance(Object o)`
  `Object`
  `newInstance(String className)`
  `Object`
  `newInstance(String fqcn, ClassLoader classLoader)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.tomcat.InstanceManager

  `backgroundProcess`

- ## Constructor Details

  - ### SimpleInstanceManager

    public SimpleInstanceManager()

- ## Method Details

  - ### newInstance

    public Object newInstance(Class<?> clazz) throws IllegalAccessException, InvocationTargetException, NamingException, InstantiationException, NoSuchMethodException
    Specified by:
      `newInstance` in interface `InstanceManager`
    Throws:
      `IllegalAccessException`
      `InvocationTargetException`
      `NamingException`
      `InstantiationException`
      `NoSuchMethodException`

  - ### newInstance

    public Object newInstance(String className) throws IllegalAccessException, InvocationTargetException, NamingException, InstantiationException, ClassNotFoundException, NoSuchMethodException
    Specified by:
      `newInstance` in interface `InstanceManager`
    Throws:
      `IllegalAccessException`
      `InvocationTargetException`
      `NamingException`
      `InstantiationException`
      `ClassNotFoundException`
      `NoSuchMethodException`

  - ### newInstance

    public Object newInstance(String fqcn, ClassLoader classLoader) throws IllegalAccessException, InvocationTargetException, NamingException, InstantiationException, ClassNotFoundException, NoSuchMethodException
    Specified by:
      `newInstance` in interface `InstanceManager`
    Throws:
      `IllegalAccessException`
      `InvocationTargetException`
      `NamingException`
      `InstantiationException`
      `ClassNotFoundException`
      `NoSuchMethodException`

  - ### newInstance

    public void newInstance(Object o) throws IllegalAccessException, InvocationTargetException, NamingException
    Specified by:
      `newInstance` in interface `InstanceManager`
    Throws:
      `IllegalAccessException`
      `InvocationTargetException`
      `NamingException`

  - ### destroyInstance

    public void destroyInstance(Object o) throws IllegalAccessException, InvocationTargetException
    Specified by:
      `destroyInstance` in interface `InstanceManager`
    Throws:
      `IllegalAccessException`
      `InvocationTargetException`